Kagayaki-IV supports Kenko 'Sky Explorer'. (Aug,2005)

Telescope 'SkyExplorer' made by Kenko is newly put on the market.
Kagayaki-IV supports 'SkyExplorer'.

! Please send E-mail if you want the SkyExplorer module though it is download before August 8,2005.

 

--- To Top page ---